<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_GeoZoneEvents StructType
 * @subpackage Structs
 */
class Get_GeoZoneEvents extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The GeoZoneSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GeoZoneSelection
     */
    public $GeoZoneSelection;
    /**
     * Constructor method for Get_GeoZoneEvents
     * @uses Get_GeoZoneEvents::setLogin()
     * @uses Get_GeoZoneEvents::setGeoZoneSelection()
     * @param \StructType\Login $login
     * @param \StructType\GeoZoneSelection $geoZoneSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\GeoZoneSelection $geoZoneSelection = null)
    {
        $this
            ->setLogin($login)
            ->setGeoZoneSelection($geoZoneSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_GeoZoneEvents
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get GeoZoneSelection value
     * @return \StructType\GeoZoneSelection|null
     */
    public function getGeoZoneSelection()
    {
        return $this->GeoZoneSelection;
    }
    /**
     * Set GeoZoneSelection value
     * @param \StructType\GeoZoneSelection $geoZoneSelection
     * @return \StructType\Get_GeoZoneEvents
     */
    public function setGeoZoneSelection(\StructType\GeoZoneSelection $geoZoneSelection = null)
    {
        $this->GeoZoneSelection = $geoZoneSelection;
        return $this;
    }
}
